! The locus of w=z^2 with z moving on the line y=ax+b 
OPTION ARITHMETIC COMPLEX
INPUT PROMPT "a,b= ": a,b
LET s=8
SET WINDOW -s,s,-s,s
DRAW grid
SET POINT STYLE 1
FOR x=-s TO s STEP s/1000
   LET y=a*x+b
   LET z=COMPLEX(x,y)
   LET w=z^2
   SET POINT COLOR 3
   PLOT POINTS: re(z),im(z)
   SET POINT COLOR 2
   PLOT POINTS: re(w),im(w)
NEXT x  
END
